!/*@@
!
! $Id: io.f90,v 1.7 1997/03/13 17:49:22 scheel Exp $
!
!@@*/
!-----------------------------------------------------------------------
! io.f90
!
! Set of I/O routines for serial version of ADM code. Uses RNPL hdf
! routines from the bbhutil libraries.
!
!-----------------------------------------------------------------------

!-----------------------------------------------------------------------
! hdfinit
!
! Temporary input routine!!!! Need a better I/O facility
!
! This routine reads in the 3-metric and extrinsic curvature from hdf
! files for the initial data.
! Default names: 
! g11init.hdf, g12init.hdf, g13init.hdf, g22init.hdf, g23init.hdf, g33init.hdf
! k11init.hdf, k12init.hdf, k13init.hdf, k22init.hdf, k23init.hdf, k33init.hdf
!
subroutine hdfinit(params, g_, k_)
  use input_params
  use tensors
  implicit none
  real*8,dimension(100)             :: params
  type(GridFunction),dimension(3,3) :: g_, k_
  
  real*8, dimension(1000)      :: tmp
  character*32,dimension(3)    :: cnames
  character*32,dimension(3,3)  :: knames, gnames
  data gnames / 'g11init.hdf', 'g12init.hdf', 'g13init.hdf',   &
       'g12init.hdf', 'g22init.hdf', 'g23init.hdf',   &
       'g13init.hdf', 'g23init.hdf', 'g33init.hdf'/

  data knames / 'k11init.hdf', 'k12init.hdf', 'k13init.hdf',   &
       'k12init.hdf', 'k22init.hdf', 'k23init.hdf',   &
       'k13init.hdf', 'k23init.hdf', 'k33init.hdf'/

  integer i,j, shp(3), level

  level = 1

  shp = shape(g_(1,1)%d)

  do i = 1, 3
    do j = 1, i
      write(6,*)'Reading in metric component, ',i,j
      write(6,*)'Reading in ext curv component, ',i,j
    end do
  end do

end subroutine hdfinit
!-----------------------------------------------------------------------
